libdist-inkt-perl_0.024-3_all.deb


Advertisement

Description

libdist-inkt-perl - yet another distribution builder

Distribution: Debian Sid
Repository: Debian Main i386
Package name: libdist-inkt-perl
Package version: 0.024
Package release: 3
Package architecture: all
Package type: deb
Installed size: 92 B
Download size: 26.48 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: libdist-inkt-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdist-inkt-perl deb package:
      # sudo apt-get install libdist-inkt-perl

    Changelog

    2017-09-21 - Jonas Smedegaard <dr@jones.dk> libdist-inkt-perl (0.024-3) unstable; urgency=medium * Fix typo in watch file.

    2017-09-14 - Jonas Smedegaard <dr@jones.dk> libdist-inkt-perl (0.024-2) unstable; urgency=medium * Modernize Vcs-* fields: Consistently include .git suffix in path. * Declare compliance with Debian Policy 4.1.0. * Update watch file: Use substitution strings. Fix typo in URL. * Update copyright info: Use https protocol in file format URL. * Tighten lintian overrides regarding License-Reference.

    2017-07-03 - Jonas Smedegaard <dr@jones.dk> libdist-inkt-perl (0.024-1) unstable; urgency=medium [ upstream ] * New release. + Support x_static_install. [ Jonas Smedegaard ] * Update package relations: + Stop explicitly (build-)depend on libmodule-metadata-perl libcpan-meta-perl libcpan-meta-requirements-perl: Provided by perl even in oldstable. + Relax to (build-)depend unversioned on libmodule-cpanfile-perl libmoose-perl: Needed version satisfied even in oldstable. * Modernize git-buildpackage config: + Filter any .git* file. * Modernize cdbs: + Drop upstream-tarball hints: Use gbp import-orig --uscan. + Resolve archs in maintainer script (not during build). Stop build-depend on devscripts. * Update copyright info: + Use License-Grant and License-Reference fields. Thanks to Ben Finney. + Extend coverage for main upstream author. + Extend coverage of packaging. * Add lintian overrides regarding license in License-Reference field. See bug#786450. * Bump debhelper compatibility level to 9. * Update watch file: + Bump to file format 4. + Mention gbp --uscan in usage comment. + Tighten version regex. * Modernize Vcs-* fields: + Use https protocol. + Use git (not cgit) in path. * Declare compliance with Debian Policy 4.0.0.

    2014-10-22 - Jonas Smedegaard <dr@jones.dk> libdist-inkt-perl (0.023-2) unstable; urgency=medium * Fix depend on libtext-sprintfn-perl.

    2014-10-14 - Jonas Smedegaard <dr@jones.dk> libdist-inkt-perl (0.023-1) unstable; urgency=medium [ upstream ] * New release. + Avoid outputting anonymous class names. + Improve command-line option handling. [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ Jonas Smedegaard ] * Declare compliance with Debian Policy 3.9.6.

    2014-07-01 - Jonas Smedegaard <dr@jones.dk> libdist-inkt-perl (0.022-1) unstable; urgency=medium [ upstream ] * New release(s). + Fix documentation of the `--TRAVIS` option. + Generated Makefile.PL should cope better if CPAN::Meta::Requirements is missing. + Fix check for existence of meta/META.PL. + Filter $meta->{provides} using $meta->{no_index}. [ Jonas Smedegaard ] * Fix use canonical Vcs-Git URL.

    2014-06-18 - Jonas Smedegaard <dr@jones.dk> libdist-inkt-perl (0.020-1) unstable; urgency=medium [ upstream ] * New release(s). + Add missing File::chdir dependency. + Add missing Path::FindDev dependency. + Cope when ~/perl5/standard-documents/ is missing. + Support PERL_DIST_INKT_NOSIGNATURE environment variable to skip building a SIGNATURE file. + Add stub pod to command line scripts. + Better integration with haarg's perl-travis-helper stuff. + Improvements to command line scripts. [ Jonas Smedegaard ] * Update copyright info: + Update comment for CONTRIBUTING file. + Add alternate git source URL (not https URL). * (Build-)depend on libfile-chdir-perl, libmodule-runtime-perl and libpath-finddev-perl.

    2014-06-02 - Jonas Smedegaard <dr@jones.dk> libdist-inkt-perl (0.017-1) unstable; urgency=low * Initial packaging release. Closes: bug#750162.

    Advertisement
    Advertisement